# Copyright 2021-2023 H2020 TeraFlow (https://www.teraflow-h2020.eu/)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

automation:
  should-subscribe-to-context-component: true
quarkus:
  banner:
    path: teraflow-automation-banner.txt
  grpc:
    server:
      port: 9999
      enable-reflection-service: true
    clients:
      context:
        host: ${quarkus.kubernetes.env.vars.context-service-host}
        port: 1010
      device:
        host: ${quarkus.kubernetes.env.vars.device-service-host}
        port: 2020

  http:
    port: 8080

  container-image:
    group: teraflow-h2020
    name: controller/automation
    registry: registry.gitlab.com

  kubernetes:
    name: automationservice
    image-pull-policy: Always
    labels:
      app: automationservice
    add-version-to-label-selectors: false
    readiness-probe:
      initial-delay: 2s
      period: 10s
    liveness-probe:
      initial-delay: 2s
      period: 10s
    ports:
      http:
        host-port: 8080
        container-port: 8080
      grpc-server:
        host-port: 9999
        container-port: 9999
    env:
      vars:
        context-service-host: "contextservice"
        device-service-host: "deviceservice"
